Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.util
Class PersistenceHelper.DefaultSmartCollectionReference

    java.lang.Object
      com.beasys.commerce.util.PersistenceHelper.DefaultSmartCollectionReference

All Implemented Interfaces
  SmartCollectionReference, Serializable

Enclosing class:
  PersistenceHelper

Deprecated See BEA Commerce product offering

    public static class PersistenceHelper.DefaultSmartCollectionReference

extends Object
implements SmartCollectionReference, Serializable

See Also
  Serialized Form

Constructor Summary
`PersistenceHelper.DefaultSmartCollectionReference()` Deprecated See BEA Commerce product offering

Method Summary
`Iterator` | `cursor()` Deprecated See BEA Commerce product offering
`Collection` | `getCollection()` Deprecated See BEA Commerce product offering
`void` | `setCollection(Collection collection)` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PersistenceHelper.DefaultSmartCollectionReference

    public PersistenceHelper.DefaultSmartCollectionReference()

  Deprecated See BEA Commerce product offering

Method Detail

### getCollection

    public Collection getCollection()

  Deprecated See BEA Commerce product offering

  Description copied from interface: `SmartCollectionReference`
  Get the entire collection

  Specified by:
    `getCollection` in interface `SmartCollectionReference`
  Returns
    the wrapped Collection

### setCollection

    public void setCollection(Collection collection)

  Deprecated See BEA Commerce product offering

  Description copied from interface: `SmartCollectionReference`
  Set the entire collection

  Specified by:
    `setCollection` in interface `SmartCollectionReference`

### cursor

    public Iterator cursor()

  Deprecated See BEA Commerce product offering

  Description copied from interface: `SmartCollectionReference`
  Get an iterator over the collection's contents

  Specified by:
    `cursor` in interface `SmartCollectionReference`
  Returns
    an iterator over the collection's contents

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved